## xraylib 4.0.0%2Bdfsg1

=== debian/changelog ===
xraylib (4.0.0+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #985301)

 -- Sebastien Delafond <seb@debian.org>  Mon, 15 Mar 2021 16:12:52 +0100

## xraylib 4.0.0+dfsg1

=== meson_options.txt ===
option('fortran-bindings', type: 'feature', value: 'auto', description: 'Build Fortran 2003 bindings')
option('python-bindings', type: 'feature', value: 'auto', description: 'Build classic Python bindings')
option('python-numpy-bindings', type: 'feature', value: 'auto', description: 'Build numpy Python bindings')
option('swig', type : 'string', value : 'swig', description: 'Path to swig executable')
option('python', type : 'string', value : 'python3', description: 'Python interpreter to compile bindings for')
option('cython', type : 'string', value : 'cython', description: 'Cython to use for generating C glue code')

=== debian/changelog ===
xraylib (4.0.0+dfsg1-8) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Stuart Prescott <stuart@debian.org>  Tue, 11 Feb 2025 10:46:24 +1100

xraylib (4.0.0+dfsg1-7) experimental; urgency=medium

  * Team upload.
  * Cherry-pick upstream patch for numpy 2 compatibility (Closes: #1094377).
  * Update Standards-Version to 4.7.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Mon, 10 Feb 2025 15:35:56 +1100

xraylib (4.0.0+dfsg1-6) unstable; urgency=medium

  * Team upload.
  * Set "Rules-Requires-Root: no".

  [ Colin Watson ]
  * Build for all supported Python versions (closes: #1089070).

 -- Alexandre Detiste <tchet@debian.org>  Fri, 13 Dec 2024 10:07:42 +0100

xraylib (4.0.0+dfsg1-5) unstable; urgency=medium

  * d/t/python: test all supported python versions.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 03 Aug 2024 09:04:21 +0200

xraylib (4.0.0+dfsg1-4) unstable; urgency=medium

  Trim trailing whitespace.
  Update standards version to 4.6.2, no changes needed.
  * Bug fix: "please add autopkgtests (to add coverage for
    python3-numpy)", thanks to Sandro Tosi (Closes: #1035259).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 02 Aug 2024 11:02:36 +0200

xraylib (4.0.0+dfsg1-3) unstable; urgency=medium

  * Applied MR from Adrian Bunk to workaround address space limitations on
    some architectures

 -- Enrico Zini <enrico@debian.org>  Tue, 10 Jan 2023 10:18:58 +0100

xraylib (4.0.0+dfsg1-2) unstable; urgency=medium

  [ Neil Williams ]
  * Team upload.
  * Update debhelper and standards version

  [ Enrico Zini ]
  * Enabled building Python bindings

 -- Enrico Zini <enrico@debian.org>  Wed, 04 Jan 2023 19:43:55 +0100

=== debian/control ===
Source: xraylib
Section: libs
Priority: optional
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
Build-Depends:
 cython3,
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-numpy3,
 dh-sequence-python3,
 meson,
 pkgconf,
 python3-all-dev,
 python3-numpy,
 swig,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/tschoonj/xraylib
Vcs-Browser: https://salsa.debian.org/science-team/xraylib
Vcs-Git: https://salsa.debian.org/science-team/xraylib.git

Package: libxrl11
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library for interactions of X-rays with matter
 Quantitative estimate of elemental composition by spectroscopic and
 imaging techniques using X-ray fluorescence requires the availability
 of accurate data of X-ray interaction with matter. Although a wide
 number of computer codes and data sets are reported in literature,
 none of them is presented in the form of freely available library
 functions which can be easily included in software applications for
 X-ray fluorescence. This work presents a compilation of data sets
 from different published works and an xraylib interface in the form
 of callable functions. Although the target applications are on X-ray
 fluorescence, cross sections of interactions like photoionization,
 coherent scattering and Compton scattering, as well as form factors
 and anomalous scattering functions, are also available.
 .
 xraylib provides access to some of the most respected databases of
 physical data in the field of X-rays. The core of xraylib is a
 library, written in ANSI C, containing over 40 functions to be used
 to retrieve data from these databases. This C library can be directly
 linked with any program written in C, C++ or Objective-C.

Package: libxrl-dev
Section: libdevel
Architecture: any
Depends:
 libxrl11 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: library for interactions of X-rays with matter (headers)
 Quantitative estimate of elemental composition by spectroscopic and
 imaging techniques using X-ray fluorescence requires the availability
 of accurate data of X-ray interaction with matter. Although a wide
 number of computer codes and data sets are reported in literature,
 none of them is presented in the form of freely available library
 functions which can be easily included in software applications for
 X-ray fluorescence. This work presents a compilation of data sets
 from different published works and an xraylib interface in the form
 of callable functions. Although the target applications are on X-ray
 fluorescence, cross sections of interactions like photoionization,
 coherent scattering and Compton scattering, as well as form factors
 and anomalous scattering functions, are also available.
 .
 xraylib provides access to some of the most respected databases of
 physical data in the field of X-rays. The core of xraylib is a
 library, written in ANSI C, containing over 40 functions to be used
 to retrieve data from these databases. This C library can be directly
 linked with any program written in C, C++ or Objective-C.
 .
 This package contains the header files.

Package: python3-xraylib
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: library for interactions of X-rays with matter (Python bindings)
 Quantitative estimate of elemental composition by spectroscopic and
 imaging techniques using X-ray fluorescence requires the availability
 of accurate data of X-ray interaction with matter. Although a wide
 number of computer codes and data sets are reported in literature,
 none of them is presented in the form of freely available library
 functions which can be easily included in software applications for
 X-ray fluorescence. This work presents a compilation of data sets
 from different published works and an xraylib interface in the form
 of callable functions. Although the target applications are on X-ray
 fluorescence, cross sections of interactions like photoionization,
 coherent scattering and Compton scattering, as well as form factors
 and anomalous scattering functions, are also available.
 .
 xraylib provides access to some of the most respected databases of
 physical data in the field of X-rays. The core of xraylib is a
 library, written in ANSI C, containing over 40 functions to be used
 to retrieve data from these databases. This C library can be directly
 linked with any program written in C, C++ or Objective-C.
 .
 This package contains the Python bindings

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

# workaround address space limitations on some architectures
# see: https://salsa.debian.org/science-team/xraylib/-/merge_requests/2
ifneq (,$(filter $(DEB_HOST_ARCH), m68k mipsel sh4))
  export DEB_CFLAGS_MAINT_APPEND += -g1
endif


%:
	dh $@ --without autoreconf -S meson

override_dh_auto_configure:
	set -e; for v in $$(py3versions -sv); do \
		dh_auto_configure -Bobj-$(DEB_HOST_GNU_TYPE)-py$$v -- -Dpython=python$$v -Dpython-bindings=enabled -Dpython-numpy-bindings=enabled; \
	done

override_dh_auto_build:
	set -e; for v in $$(py3versions -sv); do \
		dh_auto_build -Bobj-$(DEB_HOST_GNU_TYPE)-py$$v; \
	done

override_dh_auto_test:
	set -e; for v in $$(py3versions -sv); do \
		dh_auto_test -Bobj-$(DEB_HOST_GNU_TYPE)-py$$v; \
	done

override_dh_auto_install:
	set -e; for v in $$(py3versions -sv); do \
		dh_auto_install -Bobj-$(DEB_HOST_GNU_TYPE)-py$$v; \
	done
	find debian/tmp/ -name xraydoc.txt -delete || true
	find debian/tmp -name libxrl.la -delete || true

override_dh_auto_clean:
	set -e; for v in $$(py3versions -sv); do \
		dh_auto_clean -Bobj-$(DEB_HOST_GNU_TYPE)-py$$v; \
	done

## xraylib 4.2.1+dfsg

=== meson_options.txt ===
option('fortran-bindings', type: 'feature', value: 'auto', description: 'Build Fortran 2003 bindings')
option('python-bindings', type: 'feature', value: 'auto', description: 'Build classic Python bindings')
option('python-numpy-bindings', type: 'feature', value: 'auto', description: 'Build numpy Python bindings')
option('swig', type : 'string', value : 'swig', description: 'Path to swig executable')
option('windows-installer', type: 'feature', value: 'disabled', description: 'Build Windows installer')

=== debian/changelog ===
xraylib (4.2.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add patch to fix tests on 32-bit archs, setting int64 explicitly in the
    test as that is what the cython code being tested expects to receive.

 -- Stuart Prescott <stuart@debian.org>  Mon, 19 Jan 2026 12:17:17 +1100

xraylib (4.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - drop all patches (applied upstream or cherry-picked from upstream)
  * Update Standards-Version to 4.7.3 (no changes required).
  * Simplify debian/rules by using pybuild.
  * Add new patch to allow the Python interpreter version to be specified
    when building extensions.

 -- Stuart Prescott <stuart@debian.org>  Thu, 15 Jan 2026 16:41:41 +1100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: xraylib
 Section: libs
-Priority: optional
 Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
 Uploaders:
  Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
@@ -16,8 +15,7 @@
  python3-all-dev,
  python3-numpy,
  swig,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/tschoonj/xraylib
 Vcs-Browser: https://salsa.debian.org/science-team/xraylib
 Vcs-Git: https://salsa.debian.org/science-team/xraylib.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

# workaround address space limitations on some architectures
# see: https://salsa.debian.org/science-team/xraylib/-/merge_requests/2
ifneq (,$(filter $(DEB_HOST_ARCH), m68k mipsel sh4))
  export DEB_CFLAGS_MAINT_APPEND += -g1
endif

export PYBUILD_SYSTEM = meson
export PYBUILD_CONFIGURE_ARGS = \
  -Dpython-bindings=enabled \
  -Dpython-numpy-bindings=enabled \
  -Dpython=python{version}

%:
	dh $@ --without autoreconf --buildsystem pybuild

execute_after_dh_auto_install:
	find debian/tmp/ -name xraydoc.txt -delete || true
	find debian/tmp -name libxrl.la -delete || true

=== debian/watch ===
Version: 5

Template: Github
Compression: xz
Dversionmangle: s/\+dfsg(\.?\d+)?$//
Owner: tschoonj
Project: xraylib
Repack: yes
Repacksuffix: +dfsg
